﻿Option Strict On

Imports Infragistics.UltraChart.Resources.Appearance


Public Class Form1

    Public Sub New()

        ' This call is required by the Windows Form Designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.

        With uChart
            .ChartType = Infragistics.UltraChart.Shared.Styles.ChartType.TreeMapChart

            With .TreeMapChart
                .TreeMapType = Infragistics.UltraChart.Shared.Styles.TreeMapType.Circular

                With .PEs
                    .Add(New PaintElement(Color.WhiteSmoke, Color.White, Infragistics.UltraChart.Shared.Styles.GradientStyle.Circular))
                End With

                .StaticLeafPE = New PaintElement(Color.White, Color.Indigo, Infragistics.UltraChart.Shared.Styles.GradientStyle.Circular)
                .UseStaticLeafPE = True
            End With

        End With

        'ChartAllColumn()
        ChartTwoColumns()


    End Sub

    Private Sub ChartAllColumn()
        Dim dt As New DataTable
        Dim col1 As New DataColumn("ID", GetType(String))
        Dim col2 As New DataColumn("Value", GetType(Integer))
        Dim colDummy1 As New DataColumn("Dummy1", GetType(Integer))
        Dim colDummy2 As New DataColumn("Dummy2", GetType(String))

        ' Notice that col2 column index is 3
        dt.Columns.AddRange(New DataColumn() {col1, colDummy1, colDummy2, col2})

        '' Uncomment this part to see different result
        'dt.Rows.Add("A", 1, Guid.NewGuid.ToString, 100)
        'dt.Rows.Add("B", 1, Guid.NewGuid.ToString, 10)
        'dt.Rows.Add("C", 1, Guid.NewGuid.ToString, 8)
        'dt.Rows.Add("D", 1, Guid.NewGuid.ToString, 50)
        'dt.Rows.Add("E", 1, Guid.NewGuid.ToString, 70)
        'dt.Rows.Add("F", 1, Guid.NewGuid.ToString, 25)

        dt.Rows.Add("A", 100, Guid.NewGuid.ToString, 1)
        dt.Rows.Add("B", 10, Guid.NewGuid.ToString, 1)
        dt.Rows.Add("C", 8, Guid.NewGuid.ToString, 1)
        dt.Rows.Add("D", 50, Guid.NewGuid.ToString, 1)
        dt.Rows.Add("E", 70, Guid.NewGuid.ToString, 1)
        dt.Rows.Add("F", 25, Guid.NewGuid.ToString, 1)

        Me.uChart.Data.DataSource = dt
        Me.uChart.Data.DataBind()

        uChart.Data.IncludeColumn(colDummy1, False)
        uChart.Data.IncludeColumn(colDummy2, False)
    End Sub

    Private Sub ChartTwoColumns()
        Dim dt As New DataTable
        Dim col1 As New DataColumn("ID", GetType(String))
        Dim col2 As New DataColumn("Value", GetType(Integer))
       
        dt.Columns.AddRange(New DataColumn() {col1, col2})

        dt.Rows.Add("A", 100)
        dt.Rows.Add("B", 10)
        dt.Rows.Add("C", 8)
        dt.Rows.Add("D", 50)
        dt.Rows.Add("E", 70)
        dt.Rows.Add("F", 25)

        Me.uChart.Data.DataSource = dt
        Me.uChart.Data.DataBind()

        uChart.Data.IncludeColumn(col1, False)
        uChart.Data.IncludeColumn(col2, False)
    End Sub

    'With .Tooltips
    '    .HighlightFillColor = Color.Transparent
    '    .HighlightOutlineColor = Color.LawnGreen
    '    .BorderThickness = 2
    'End With
End Class
